Bug Hunting Session
Bug 119094 - Area tab: Pattern preview colors are reversed
Summary: Area tab: Pattern preview colors are reversed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-04 22:21 UTC by Jim Raykowski
Modified: 2018-08-23 08:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-08-04 22:21:28 UTC
In Writer:

1) Menu > Format > Paragraph
Paragraph dialog opens
2) Area tab > Pattern button

Pattern preview foreground background colors are reverse of selected pattern bitmap

I have a patch ready to submit on confirmation.
Comment 1 Roman Kuznetsov 2018-08-05 09:30:52 UTC
Jim, is OpenGL enabled? Try disable it and check problem
Comment 2 raal 2018-08-05 12:02:23 UTC
I can confirm with Version: 6.2.0.0.alpha0+
Build ID: d0a481d09e696f6d5a2a0d40a9d5c48cfca559bf
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-02_01:49:45
Comment 3 Jim Raykowski 2018-08-05 16:49:59 UTC
(In reply to kompilainenn from comment #1)
> Jim, is OpenGL enabled? Try disable it and check problem

Ok, checked with OpenGL enabled/disabled and same results.

The colors were correct before this piece of code was added [1]. 

Maybe should add a regression tag and allow regressor to fix before sending a patch?

[1] https://opengrok.libreoffice.org/xref/core/svx/source/xoutdev/xattrbmp.cxx#147
Comment 4 Xisco Faulí 2018-08-06 11:58:46 UTC
> Maybe should add a regression tag and allow regressor to fix before sending
> a patch?
> 
> [1]
> https://opengrok.libreoffice.org/xref/core/svx/source/xoutdev/xattrbmp.
> cxx#147

If you have a patch to fix it, I think It's fine if you submit it...
Comment 5 Xisco Faulí 2018-08-06 12:25:13 UTC
The preview got broken in https://cgit.freedesktop.org/libreoffice/core/commit/?id=66dbd4da3afcadb1393daf9be9cecff71b86509a until it got fixed in https://cgit.freedesktop.org/libreoffice/core/commit/?id=25cd843664919974f0d21ca7a0b02cc43e9eeabb, where the behaviour is already reproducible...
Comment 7 Jim Raykowski 2018-08-22 21:03:07 UTC
This is fixed by patch for Bug 119282